diff -Naur cgit-1.2.3/filters/email-gravatar.lua cgit-1.2.3.patched/filters/email-gravatar.lua
--- cgit-1.2.3/filters/email-gravatar.lua	2020-03-13 19:49:52.000000000 -0400
+++ cgit-1.2.3.patched/filters/email-gravatar.lua	2024-11-18 22:09:51.781471494 -0500
@@ -3,28 +3,18 @@
 -- prefix in filters. It is much faster than the corresponding python script.
 --
 -- Requirements:
--- 	luaossl
--- 	<http://25thandclement.com/~william/projects/luaossl.html>
+-- 	lua-md5
 --
 
-local digest = require("openssl.digest")
-
-function md5_hex(input)
-	local b = digest.new("md5"):final(input)
-	local x = ""
-	for i = 1, #b do
-		x = x .. string.format("%.2x", string.byte(b, i))
-	end
-	return x
-end
+local md5 = require("md5")
 
 function filter_open(email, page)
-	buffer = ""
-	md5 = md5_hex(email:sub(2, -2):lower())
+        buffer = ""
+        hexdigest = md5.sumhexa(email:sub(2, -2):lower())
 end
 
 function filter_close()
-	html("<img src='//www.gravatar.com/avatar/" .. md5 .. "?s=13&amp;d=retro' width='13' height='13' alt='Gravatar' /> " .. buffer)
+	html("<img src='//www.gravatar.com/avatar/" .. hexdigest .. "?s=13&amp;d=retro' width='13' height='13' alt='Gravatar' /> " .. buffer)
 	return 0
 end
 
diff -Naur cgit-1.2.3/filters/email-libravatar.lua cgit-1.2.3.patched/filters/email-libravatar.lua
--- cgit-1.2.3/filters/email-libravatar.lua	2020-03-13 19:49:52.000000000 -0400
+++ cgit-1.2.3.patched/filters/email-libravatar.lua	2024-11-18 22:10:41.739471304 -0500
@@ -3,29 +3,19 @@
 -- prefix in filters.
 --
 -- Requirements:
--- 	luaossl
--- 	<http://25thandclement.com/~william/projects/luaossl.html>
+-- 	lua-md5
 --
 
-local digest = require("openssl.digest")
-
-function md5_hex(input)
-	local b = digest.new("md5"):final(input)
-	local x = ""
-	for i = 1, #b do
-		x = x .. string.format("%.2x", string.byte(b, i))
-	end
-	return x
-end
+local md5 = require("md5")
 
 function filter_open(email, page)
-	buffer = ""
-	md5 = md5_hex(email:sub(2, -2):lower())
+        buffer = ""
+        hexdigest = md5.sumhexa(email:sub(2, -2):lower())
 end
 
 function filter_close()
 	baseurl = os.getenv("HTTPS") and "https://seccdn.libravatar.org/" or "http://cdn.libravatar.org/"
-	html("<img src='" .. baseurl .. "avatar/" .. md5 .. "?s=13&amp;d=retro' width='13' height='13' alt='Libravatar' /> " .. buffer)
+	html("<img src='" .. baseurl .. "avatar/" .. hexdigest .. "?s=13&amp;d=retro' width='13' height='13' alt='Libravatar' /> " .. buffer)
 	return 0
 end
 
